using System.Collections.Generic;

namespace ScatterPointWPF.ViewModel
{
    public class ScatterViewModel
    {
        private List<List<ScatterPointWPF.ViewModel.SeriesExtensions.UserDataPoint>> _data;

        public List<List<ScatterPointWPF.ViewModel.SeriesExtensions.UserDataPoint>> Data
        {
            get
            {
                if (this._data == null)
                {
                    this._data = SeriesExtensions.GetUserScatterData();
                }

                return this._data;
            }
        }
    }
}
